<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package Zoom
 * @since 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
        <?php zoom_theme_thumbs( 'featured_image_on_single', esc_html( get_theme_mod( 'post_single_thumb_size' ) ), false ); ?>
        <?php do_action( 'zoom_before_single_post' ); ?>
		<h1 title="<?php the_title_attribute(); ?>" class="entry-title"><?php the_title(); ?></h1>
		<div class="entry-meta">
			<?php zoom_theme_posted_on(); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content clearfixafter">
		<?php the_content(); ?>
		<?php zoom_custom_wp_link_pages(); ?>
	</div><!-- .entry-content -->
    <footer class="entry-meta page-bottom-meta">
    <?php if ( ! is_admin_bar_showing() ): edit_post_link( esc_html__( 'Edit', 'zoom-lite' ), '<span class="edit-link">', '</span>' ); endif; ?>
    </footer><!-- .entry-meta -->
    <?php do_action( 'zoom_after_single_post' ); ?>
</article><!-- #post-<?php the_ID(); ?> -->
