<?php
/**
 * @package Zoom
 * @since 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php zoom_theme_thumbs( 'featured_image_on_single', esc_html( get_theme_mod( 'post_single_thumb_size' ) ), false ); ?>
		<?php do_action( 'zoom_before_single_post' ); ?>
		<h1 title="<?php the_title_attribute(); ?>" class="entry-title"><?php the_title(); ?></h1>
		<div class="entry-meta">
			<?php zoom_theme_posted_on(); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content clearfixafter">
		<?php the_content(); ?>
		<?php zoom_custom_wp_link_pages(); ?>
	</div><!-- .entry-content -->

	<footer class="entry-meta">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$category_list = get_the_category_list( esc_html__( ', ', 'zoom-lite' ) );

			/* translators: used between list items, there is a space after the comma */
			$tag_list = get_the_tag_list( '', ', ' );

			if ( ! zoom_theme_categorized_blog() ) {
				// This blog only has 1 category so we just need to worry about tags in the meta text
				if ( '' != $tag_list ) {
					$meta_text = ( zoom_get_array_opt( 'post_meta', 'meta_tags' ) ? esc_html__( 'This entry was tagged %2$s.', 'zoom-lite' ) : '' );
				} else {
					$meta_text = '';
				}

			} else {
				// But this blog has loads of categories so we should probably display them here
				if ( '' != $tag_list ) {
					$meta_text = ( zoom_get_array_opt( 'post_meta', 'meta_cat' ) ? esc_html__( 'This entry was posted in %1$s.', 'zoom-lite' ) : '' ).( zoom_get_array_opt( 'post_meta', 'meta_tags' ) ? esc_html__( ' Tagged %2$s.', 'zoom-lite' ) : '' );
				} else {
					$meta_text = ( zoom_get_array_opt( 'post_meta', 'meta_cat' ) ? esc_html__( 'This entry was posted in %1$s.', 'zoom-lite' ) : '' );
				}

			} // end check for categories on this blog

			printf(
				wp_kses_post( $meta_text ),
				wp_kses_post( $category_list ),
				wp_kses_post( $tag_list ),
				esc_url( get_permalink() ),
				the_title_attribute( 'echo=0' )
			);
		?>

		<?php if ( ! is_admin_bar_showing() ): edit_post_link( esc_html__( 'Edit', 'zoom-lite' ), '<span class="edit-link">', '</span>' ); endif; ?>
	</footer><!-- .entry-meta -->
    <?php do_action( 'zoom_after_single_post' ); ?>
</article><!-- #post-<?php the_ID(); ?> -->
