<?php

// No direct access, please
if ( ! defined( 'ABSPATH' ) ) exit;


// Move default Panel, Section & Control to ?
function zoom_theme_move_section( $wp_customize ){
	
	$wp_customize->get_section( 'title_tagline' )->panel = 'zoom_site_branding';
	$wp_customize->get_section( 'title_tagline' )->priority = 17;
	$wp_customize->get_section( 'title_tagline' )->title = esc_html__( 'Site Title, Tagline &amp; Site Icon', 'zoom-lite' );
	$wp_customize->get_section( 'static_front_page' )->panel = 'zoom_post_options';
	$wp_customize->get_section( 'menu_locations' )->title = esc_html__( 'Menu Location &amp; Position', 'zoom-lite' );
	
	$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
	
	// Move default Custom Logo to Site Branding Panel
	$wp_customize->get_control( 'custom_logo' )->section = 'zoom_theme_logo_section';
	$wp_customize->get_control( 'custom_logo' )->priority = 1;
	$wp_customize->get_control( 'custom_logo' )->label = esc_html__( 'Main Logo (Header Logo)', 'zoom-lite' );
	$wp_customize->get_control( 'custom_logo' )->description = esc_html__( 'By default this logo will be displayed in the header. We recommend you to use image with minimal 200px of width.', 'zoom-lite' );
	
	// Move default Background Color Control to Zoom Styles Panel
	$wp_customize->get_control( 'background_color' )->section = 'site_styles_section';
	$wp_customize->get_control( 'background_color' )->label = '<span class="menu-group-title">'.esc_html__( 'GENERAL', 'zoom-lite' ).'</span>'.esc_html__( 'Site Background', 'zoom-lite' );
	$wp_customize->get_control( 'background_color' )->priority = 1;
	
	// Move default Background Image Section to Zoom Site Styles Panel
	$wp_customize->get_section( 'background_image' )->panel = 'zoom_site_styles';
	$wp_customize->get_section( 'background_image' )->priority = 5;
	
	// Move default Header Image Control to Zoom Header Section
	$wp_customize->get_control( 'header_image' )->section = 'zoom_theme_header_section';
	$wp_customize->get_control( 'header_image' )->title = esc_html__( 'Header Image', 'zoom-lite' );
	$wp_customize->get_section( 'header_image' )->priority = 2;
	
	// Move default Additional CSS to Zoom Site Styles Panel
	$wp_customize->get_section( 'custom_css' )->panel = 'zoom_misc_panel';
	$wp_customize->get_section( 'custom_css' )->priority = 3;
	
	wp_enqueue_style( 'zoom-theme-customizer', get_template_directory_uri() . '/inc/customizer/css/zoom-theme-customizer.css' );
	
}

add_action( 'customize_register', 'zoom_theme_move_section', 999, 1 ); 

// Controls enqueue scripts
function zoom_theme_customize_controls_enqueue_scripts() {
	
	wp_enqueue_script( 'zoom-theme-customizer-controls-extend', get_template_directory_uri() . '/inc/customizer/js/zoom-theme-extend-customizer.js', array( 'jquery', 'customize-controls', 'jquery-ui-core', 'jquery-effects-highlight' ) );
	
	wp_enqueue_script( 'zoom-theme-customizer-scrollto', get_template_directory_uri() . '/inc/customizer/js/jquery-scrollto.js', array( 'jquery', 'customize-controls' ) );
	

}

add_action( 'customize_controls_enqueue_scripts', 'zoom_theme_customize_controls_enqueue_scripts' );


function zoom_customizer_live_preview() {
	
	// Allow real-time updating of the theme customizer
	wp_enqueue_script( 'zoom-theme-customizer', get_template_directory_uri() . '/inc/customizer/js/zoom-theme-customizer.js', array( 'jquery', 'customize-preview' ) );
	
	// Allow Communicating with the Previewer
	wp_enqueue_script( 'zoom-theme-customizer-communicator', get_template_directory_uri() . '/inc/customizer/js/zoom-theme-customizer-communicator.js', array( 'jquery', 'customize-preview', 'customize-preview-widgets' ) );
	
	wp_localize_script( 'zoom-theme-customizer-communicator', 'zoom_comm',
			array(
			'edit' => esc_html__( 'EDIT', 'zoom-lite' ),
			'sharealert' => esc_html__( 'Share button only works on frontpage, not in Preview / Customize mode.', 'zoom-lite' ),
				)
		);
	
}

add_action( 'customize_preview_init', 'zoom_customizer_live_preview' );