/**
 * Customizer Previewer
 */
( function ( wp, $ ) {
	"use strict";

	// Bail if the customizer isn't initialized
	if ( ! wp || ! wp.customize ) {
		return;
	}

	var api = wp.customize, OldPreview;

	// Custom Customizer Preview class (attached to the Customize API)
	api.myCustomizerPreview = {
		// Init
		init: function () {
			var self = this, shrmsg = zoom_comm.sharealert, editLang = zoom_comm.edit, is_ie8 = ( $.browser.msie && parseFloat($.browser.version) < 10 ? 'not-ready-edit' : 'ready-edit' );

			this.preview.bind( 'active', function() {

				var $document = $( document );
				
				// Header Area
				zoom_render_button($('.image-title, .header-img, #slider, .image-header-container, .logo-title-mode'), 'section', 'zoom_theme_header_section');
				
				// ==Title & Tagline
				zoom_render_button($('.site-title'), 'control', 'blogname');
				zoom_render_button($('.site-description'), 'control', 'blogdescription');
	
				// Menu
				zoom_render_button($('.menu-box, #nav-toggle, .menu-box-mobile').not(':has(.no-menu)'), 'section', 'menu_locations');
				zoom_render_button($('.zoom-main-menu').not(':has(.no-menu)'), 'control', 'main_menu_bg_control');
				
				// Entry Meta
				zoom_render_button($('.entry-meta, .breadcrumb'), 'section', 'site_post_meta_section');
				
				// Entry Content
				zoom_render_button($('article:not(.sticky) .entry-content'), 'control', 'content_bg_color_control');
								
				// Sticky Post
				zoom_render_button($('.sticky .entry-content'), 'section', 'site_post_sticky_section');
				
				// Author Box
				zoom_render_button($('#authorbox'), 'control', 'author_box_control');
				zoom_render_button($('.authortext'), 'control', 'author_box_bg_control', 'tl');
				
				// All widgets ( sidebar & footer )
				zoom_render_button($('aside.widget'), 'widget', 'widget');
				
				// ==Sidebar Search
				zoom_render_button($('.before-sidebar-holder'), 'section', 'zoom_theme_site_sidebar');	
				
				// Footer Area
				zoom_render_button($('#footer-container'), 'section', 'zoom_site_footer_layout', 'tl');
				
				// Top Bar Area
				zoom_render_button($('.top-bar-holder'), 'control', 'top_bar_bg_control', 'tl');
				zoom_render_button($('.top-bar-email'), 'control', 'top_bar_email_control');
				zoom_render_button($('.top-bar-works'), 'control', 'top_bar_w_hours_control');
				zoom_render_button($('.sosmed-wrap'), 'control', 'top_bar_sos_facebook_control');
				
				// Bottom Bar Area
				zoom_render_button($('.bottom-bar-content'), 'section', 'zoom_theme_b_bar_section');
				zoom_render_button($('#bottom-bar'), 'control', 'bottom_bar_bg_control');
				
				// Logo
				zoom_render_button($('.site-logo'), 'control', 'custom_logo');
				zoom_render_button($('.menu-logo'), 'control', 'custom_logo');
				zoom_render_button($('.bottom-bar-logo'), 'control', 'bottom_logo_control');
				
				// Read More Button
				zoom_render_button($('.more-link-p'), 'control', 'button_readmore_control', 'tl');
				
				// Navigation Button
				zoom_render_button($('.site-navigation, #image-navigation, .comment-navigation'), 'control', 'button_nav_control');
				
				// Media
				jQuery('.entry-header').each(function(){
					if( $(this).closest('.post-mode-list, .post-mode-grid').length > 0 && $(this).find('img').hasClass('wp-post-image') ) {
						zoom_render_button( $(this), 'control', 'featured_image_on_post_list_control', 'tc');
					}
					if( ! $(this).closest('.post-mode-list, .post-mode-grid').length > 0 && $(this).find('img').hasClass('wp-post-image') ) {
						zoom_render_button( $(this), 'control', 'featured_image_on_single_control', 'tc');
					}
				});
				
				// List & Grid mode on Blog page
				zoom_render_button($('.zoom-blog-default'), 'control', 'post_layout_control');
				
				// Share Button
				zoom_render_button($('.share-buttons-cont'), 'control', 'share_btn_control');

				// Edit click event
				$document.on( 'touch click', '.goto, .previewer-edit', function( e ) {

					// Get information if the element is widget
					if ($(this).attr('data-type') == 'widget' && ! $(this).parent().attr('data-section')) {
						// If not our default widget
						self.preview.send('focus-widget-control', $(this).parent().prop('id'));
					}
					else if ($(this).attr('data-type') == 'widget' && $(this).parent().attr('data-section')) {
						// if widget empty ( only has our default widget )
						$(this).data({'type':'section', 'target': $(this).parent().attr('data-section')});
						self.preview.send('zoom-preview-event', $(this).data());
					}
					else {
						// Another control / section
						self.preview.send('zoom-preview-event', $(this).data());
						}
					
				} );

				// Show Edit button on element that has .ready-edit class
				$(".ready-edit").hover(function(){
					$('.previewer-edit', this).fadeIn(300);
					$(this).attr('data-curcol', $(this).css('backgroundColor'));
					$(this).css('background-color','rgba(0, 166, 0, 0.1)');
				},
				function(){
					$('.previewer-edit', this).hide();
					$(this).css('background-color',$(this).attr('data-curcol'));
							
				} );
				
				$( ".previewer-edit" ).hover(function() {
					$('.previewer-edit').not($(this)).hide();
					});
					
				// Handle click event for share button
				$document.on( 'touch click', 'ul.share-buttons li a', function( e ) {
					alert(shrmsg);
				} );
				
				// Handle click event for Refresh Preview
				$document.on( 'touch click', '#zoom-previewer-refresh-btn', function( e ) {
					self.preview.send('zoom-preview-refresh');
				} );				
				
				// Previewer is Ready
				self.preview.send('zoom-previewer-ready', true);
					
			} );
			
			// Append EDIT button to el
			function zoom_render_button(el, type, target, pos) {
				
				// Button Position
				if (pos) { pos = ' '+pos; } else { pos = ''; }
				
				return el.addClass(is_ie8).append( '<button data-type="'+type+'" data-target="'+target+'" class="previewer-edit'+pos+'"><span class="dashicons dashicons-edit"></span>'+editLang+'</button>');
				
			}

		}
	};

	/**
	 * Capture the instance of the Preview since it is private (this has changed in WordPress 4.0)
	 *
	 * @see https://github.com/WordPress/WordPress/blob/5cab03ab29e6172a8473eb601203c9d3d8802f17/wp-admin/js/customize-controls.js#L1013
	 */
	OldPreview = api.Preview;
	api.Preview = OldPreview.extend( {
		initialize: function( params, options ) {
			// Store a reference to the Preview
			api.myCustomizerPreview.preview = this;

			// Call the old Preview's initialize function
			OldPreview.prototype.initialize.call( this, params, options );
		}
	} );

	// Document ready
	$( function () {
		// Initialize our Preview
		api.myCustomizerPreview.init();
	} );
} )( window.wp, jQuery );