<?php

// No direct access, please
if ( ! defined( 'ABSPATH' ) ) exit;


if ( ! function_exists( 'zoom_theme_before_header_function' ) ) :
/**
 * Generate the navigation based on settings
 * @since 1.0
 */
add_action( 'zoom_theme_before_header', 'zoom_theme_before_header_function', 5 );
function zoom_theme_before_header_function() {
	
	if ( 'nav-before-header' == get_theme_mod( 'menu_pos', 'nav-after-header' ) ) :
		zoom_theme_generate_navigation();
	endif;
	
}
endif;


if ( ! function_exists( 'zoom_theme_after_header_function' ) ) :
/**
 * Generate the navigation based on settings
 * @since 1.0
 */
add_action( 'zoom_theme_after_header', 'zoom_theme_after_header_function', 5 );
function zoom_theme_after_header_function() {
	
	if ( 'nav-after-header' == get_theme_mod( 'menu_pos', 'nav-after-header' ) ) :
		zoom_theme_generate_navigation();
	endif;
	
}
endif;


if ( ! function_exists( 'generate_navigation_position' ) ) :
/**
 *
 * Build the navigation
 * @since 1.0
 *
 */
function zoom_theme_generate_navigation() {
	
	$allowed_tags = wp_kses_allowed_html( 'post' );

	ob_start(); ?>
     <!--Mobile nav START-->
    <div class="zoom-menu-<?php echo esc_attr( get_theme_mod( 'menu_align', 'left' ) ); ?> menu-box-mobile">
    	<a id="nav-toggle"><span>&nbsp;</span></a>
    		<nav id="zoom-mobile-nav" role="navigation">
                	<?php
		$menu_mobile = wp_nav_menu( array( 'echo' => FALSE, 'container_class' => 'menu-mobile', 'menu_id' =>'zoom_mobile_nav', 'theme_location' => 'primary', 'link_before' => '<span>', 'link_after' => '</span>', 'fallback_cb' => '__return_false' ) );
		
		if ( ! empty ( $menu_mobile ) ){echo wp_kses_post( $menu_mobile );} else { echo wp_kses( zoom_no_primary_menu( 'menu-mobile', 'zoom_mobile_nav' ), $allowed_tags ); }
		
		?>
    		</nav>
    </div>
    <!--Mobile nav END-->
    <div class="zoom-menu-<?php echo esc_attr( get_theme_mod( 'menu_align', 'left' ) ); ?> menu-box main-menu-padding">
    	<div class="nav-holder">
        	<?php if ( get_theme_mod( 'main_logo_on_nav', false ) == true ) {
					if ( ! is_customize_preview() ) {
						echo '<a class="link-holder" href="'.esc_url( home_url() ).'" title="'.esc_attr( get_bloginfo( 'name' ) ).'" rel="home">';
					}
				?>
    		<div class="menu-logo">
            	<?php echo wp_kses_post( zoom_theme_brand_logo( 'main', 'menu-logo-img' ) );
                if ( ! is_customize_preview() ) {
                	echo '</a>';
                }
				?>
            </div>
            <?php } ?>
    		<div class="zoom-menu-nav">
    			<nav class="zoom-main-menu" id="zoomnav" role="navigation">
                	<div class="skip-link screen-reader-text"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'zoom-lite' ); ?>"><?php esc_attr_e( 'Skip to content', 'zoom-lite' ); ?>
                </a>
            </div><?php
		$menu = wp_nav_menu( array( 'echo' => FALSE, 'container_class' => 'menu', 'menu_id' =>'zoom_nav', 'theme_location' => 'primary', 'link_before' => '<span>', 'link_after' => '</span>', 'fallback_cb' => '__return_false' ) );
		
		if ( ! empty ( $menu ) ){ echo wp_kses_post( $menu ); } else { echo wp_kses( zoom_no_primary_menu( 'menu', 'zoom_nav' ), $allowed_tags ); }
		
		?>
    			</nav>
    		</div>
    	</div>
    </div>
    <?php
	$zoom_menu = ob_get_clean();
	echo wp_kses( $zoom_menu, $allowed_tags );
	
}
endif;

function zoom_no_primary_menu( $mnclass, $mnid ) {

	if ( is_customize_preview() ) {
		return '<h2 class="no-menu">'.__( 'Please set your theme Primary Menu first', 'zoom-lite' ).'<a class="goto goto-menu" href="#" data-target="menu_locations" data-type="section">&nbsp;'.__( 'from here', 'zoom-lite' ).'</a></h2>';
	}
	
	if ( zoom_is_wprepo_demo() ) {
		return '<div class="'.$mnclass.'"><ul id="'.$mnid.'" class="'.$mnclass.'"><li class="menu-item menu-item-type-custom menu-item-object-custom menu-item-1712"><a href="https://wp-themes.com/?page_id=2"><span>About</span></a></li><li class="menu-item menu-item-type-custom menu-item-object-custom menu-item-has-children menu-item-1713"><a href="https://wp-themes.com/?page_id=46" aria-haspopup="true"><span>Parent Page</span></a><ul class="sub-menu" style="display: none; opacity: 1; margin-left: -50px; visibility: visible; overflow: visible;"><li class="menu-item menu-item-type-custom menu-item-object-custom menu-item-1714"><a href="https://wp-themes.com/?page_id=49"><span>Sub Page</span></a></li><li class="menu-item menu-item-type-custom menu-item-object-custom menu-item-1714"><a href="https://wp-themes.com/?page_id=49"><span>Sub Page</span></a></li><li class="menu-item menu-item-type-custom menu-item-object-custom menu-item-1714"><a href="https://wp-themes.com/?page_id=49"><span>Sub Page</span></a></li></ul></li><li class="menu-item menu-item-type-custom menu-item-object-custom menu-item-1712"><a href="https://wp-themes.com/?p=6"><span>Links</span></a></li><li class="menu-item menu-item-type-custom menu-item-object-custom menu-item-1712"><a href="https://wp-themes.com/?p=8"><span>HTML</span></a></li><li class="menu-item menu-item-type-custom menu-item-object-custom menu-item-1712"><a href="https://wp-themes.com/?p=36"><span>Elements</span></a></li></ul></div>';
	}
	
}