<?php
/*
 * Theme Enqueue scripts and styles
 *
 * @package zoom
 * @subpackage Functions
*/


function zoom_theme_scripts() {
	
	wp_enqueue_style( 'zoom-theme-style', get_stylesheet_uri(), array(), wp_get_theme()->get( 'Version' ) );
	wp_enqueue_style( 'zoom-theme-main-style', get_template_directory_uri() . '/assets/css/main.css', array(), wp_get_theme()->get( 'Version' ) );
	wp_enqueue_style( 'zoom-theme-mobile-nav', get_template_directory_uri() . '/assets/css/menu-mobile.css', array(), wp_get_theme()->get( 'Version' ) );
	wp_enqueue_style( 'zoom-theme-media-queries', get_template_directory_uri() . '/assets/css/media-queries.css', array(), wp_get_theme()->get( 'Version' ) );
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/assets/css/iconfonts/fontawesome/font-awesome.css', array(), '4.6.3' );
	wp_register_script( 'jquery-nivo-slider', get_template_directory_uri() . '/assets/lib/bower/nivo-slider/jquery.nivo.slider.js', array ( 'jquery' ), false, false );
	
	/* Default Scripts Included and Registered by WordPress */
	wp_enqueue_script( 'jquery-masonry' );
		
	/* END */
	wp_register_script( 'jquery-scrollup', get_template_directory_uri() . '/assets/lib/bower/plugins/jquery.scrollup.js', array ( 'jquery' ), false, false );
	wp_register_style( 'nivo-slider', get_template_directory_uri() . '/assets/lib/bower/nivo-slider/nivo-slider.css' );
	wp_register_style( 'nivo-slider-theme-default', get_template_directory_uri() . '/assets/lib/bower/nivo-slider/themes/default/default.css' );
	wp_enqueue_script( 'zoom-theme-scripts', get_template_directory_uri() . '/assets/js/zoom-theme.js', array( 'jquery' ) );
	
	/* IE Conditional */
	
	wp_enqueue_script( 'html5shiv', get_template_directory_uri() . "/assets/js/html5shiv.js", array(), false, false );
	wp_script_add_data( 'html5shiv', 'conditional', 'lt IE 9' );
	
	/* IE Conditional - END */
	
	$is_slider = ( get_theme_mod( 'header_type' ) ? get_theme_mod( 'header_type' ): ( is_customize_preview() || zoom_is_wprepo_demo() ? 'slider' : 'title_only' ) );
	
	wp_localize_script( 'zoom-theme-scripts', 'zoom_opt',
			array(
			'floating_nav' => esc_html( get_theme_mod( 'menu_floating', true ) ),
			'zoom_is_mobile' => wp_is_mobile(),
			'zoom_effect_preload' => esc_html( get_theme_mod( 'effect_screen_preload', false ) ),
			'zoom_effect_preload_bg' => esc_html( get_theme_mod( 'effect_screen_preload_bg', '#17486E' ) ),
			'zoom_effect_stt' => esc_html( get_theme_mod( 'effect_stt', true ) ),
			'zoom_effect_stt_speed' => esc_html( get_theme_mod( 'effect_stt_speed', '1000' ) ),
			'header_type' => esc_html( get_theme_mod( 'header_type', $is_slider ) ),
			'slider_intv' => esc_html( get_theme_mod( 'header_slider_p_time', 3 ) * 1000 ),
			'slider_max_h' => esc_html( get_theme_mod( 'header_slider_is_max_height', true ) ),
			'zoom_is_adminbar' => esc_html( ( is_admin_bar_showing() ? true: false ) ),
			'in_customizer' => esc_html( ( is_customize_preview() ? true: false ) ),
			'sidebar_width' => esc_html( get_theme_mod( 'sidebar_width', '30' ) ),
				)
		);


	// enqueue by conditions
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
	
	if ( get_theme_mod( 'effect_stt', true ) == true ) {
		wp_enqueue_script( 'jquery-scrollup' );
	}

	// We will use this when users install our recommended plugins to support header image slider
	if ( get_theme_mod( 'header_type' ) == 'slider' || zoom_is_wprepo_demo() ) {
		wp_enqueue_script( 'jquery-nivo-slider' );
		wp_enqueue_style( 'nivo-slider' );
		wp_enqueue_style( 'nivo-slider-theme-default' );
	}
	
	
}
add_action( 'wp_enqueue_scripts', 'zoom_theme_scripts' );